import { Component } from "peura-ui";

const microphonePopupTemplate = `
	<div class="Popup_Root">
		<div class="Popup_Box">
			<div class="Popup_Text">Salli sivun käyttää mikrofonia käyttääksesi automaattista äänen tunnistusta?</div>
			<div class="Popup_Buttons">
				<button class="Login_Butt-Highlight" onclick="{progress}">Salli</button>
				<button class="Login_Butt-Secondary" onclick="{progress}">Kiellä</button>
			</div>
		</div>
	</div>
`;

export default class MicrophonePopupUI extends Component {
	constructor(progress: () => void) {
		super(microphonePopupTemplate, {
			progress: () => {
				navigator.mediaDevices.getUserMedia({ audio: true });
				progress();
			}
		});
	}
}